Bug 24663 - Console output gets scribbled into /var/log/messages
Summary: Console output gets scribbled into /var/log/messages
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: alpha (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-alpha (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-01-27 00:20 UTC by Kees Jan Koster
Modified: 2021-06-25 20:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kees Jan Koster 2001-01-27 00:20:00 UTC
When generating large chunks of console output on a graphics console on
my Alpha bits and pieces of it end up in /var/log/messages. Here's what I
see:

Jan 27 01:03:40 slugout /kernel: 0 b681 4826 0005 f420 f000 203f 9681 4821
Jan 27 01:04:05 slugout /kernel: 5f74 6564 6376 616c 7373
Jan 27 01:04:35 slugout /kernel: 0 bf20 0036 fc00 ffff 0104 0000 0000 0000
Jan 27 01:04:40 slugout /kernel: 0 23e0 0046 fc00 ffff 0000 0000 0000 0000
Jan 27 01:04:40 slugout /kernel: b0e118>0258590 0018 0000 0000 0000 2b5e 0001 00 0007

Message from syslogd@slugout at Sat Jan 27 01:04:40 2001 ...
slugout /kernel: b0e118>0258590 0018 0000 0000 0000 2b5e 0001 0001 0007
Jan 27 01:05:00 slugout /kernel: 0 6963 6b5f 756c 6764 5f65 6e75 7469 7300
Jan 27 01:05:05 slugout /kernel: 00 0000 0778 0000 0000 0000
Jan 27 01:05:35 slugout /kernel: 0 0020 a46b 0000 a483 0004 a044 f622 4841
 
Notice that the information has its date stamps intact although the
strings are only parts of the original, they're logged from /kernel and
they sometimes get written onto my terminal as messages.

Fix: 

Dunno.
How-To-Repeat: In one terminal start tail -f /var/log/messages

On the console of the box start
  while true; do
    hexdump /kernel
  done

Watch the messages. This problem does not happen when the hexdumps go
to xterminals. I have no serial console to see if that is affected.
Comment 1 sten 2005-05-23 22:00:11 UTC
This has been fixed with  Revision 1.7.2.1 Thu Mar 22 22:15:26 2001 UTC
( RELENG_4_3 ).

This PR should be closed...

-- 
Sten Spans

"There is a crack in everything, that's how the light gets in."
Leonard Cohen - Anthem
Comment 2 Marcel Moolenaar freebsd_committer 2005-05-24 03:07:45 UTC
State Changed
From-To: open->closed

Fixed.
Comment 3 commit-hook freebsd_committer 2021-06-25 20:47:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d61cfa2dadd8d1d12006723d48fff17d382cde56

commit d61cfa2dadd8d1d12006723d48fff17d382cde56
Author:     Dave Cottlehuber <dch@FreeBSD.org>
AuthorDate: 2021-06-25 20:45:41 +0000
Commit:     Dave Cottlehuber <dch@FreeBSD.org>
CommitDate: 2021-06-25 20:46:55 +0000

    net/rabbitmq-c: update to 0.10.0 & take ownership

    PR:             24663
    Sponsored by:   SkunkWerks, GmbH
    Security:       CVE-2019-18609
    Differential Revision: https://reviews.freebsd.org/D24875

 net/rabbitmq-c/Makefile  | 4 +---
 net/rabbitmq-c/distinfo  | 6 +++---
 net/rabbitmq-c/pkg-plist | 2 +-
 3 files changed, 5 insertions(+), 7 deletions(-)